#pragma once

#include "CoreMinimal.h"
#include "LobbySubPresenter.h"
#include "ShopWalletUpdate.h"
#include "LobbyCharactersSubTabSubPresenter.generated.h"

UCLASS(Blueprintable)
class DBDUIPRESENTERS_API ULobbyCharactersSubTabSubPresenter : public ULobbySubPresenter
{
	GENERATED_BODY()

private:
	UFUNCTION(BlueprintCallable)
	void OnWalletUpdated(const TArray<FShopWalletUpdate>& walletUpdates);

public:
	ULobbyCharactersSubTabSubPresenter();
};

FORCEINLINE uint32 GetTypeHash(const ULobbyCharactersSubTabSubPresenter) { return 0; }
